Subject: Re: [PATCH 2/7] [POWERPC] Fix QEIC->MPIC cascading

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 03 Oct 2007 08:02:42 +1000

> 
> Exactly, this is what that patch is trying to do. QEIC cascade handler is
> calling mpic's eoi() (end() actually, as it's flow level, but end == eoi.
> Is it main objection? Ok, I can get rid of it, and use chip level eoi()
> directly).

Yes, use eoi() directly, don't add end()

> Yup, exactly. Actually, QEIC's cascade handlers do not really know
> what needs to be done, but they're good at guessing (if (chip->eoi)).
> 
> Sure, I can place board-specific QEIC handlers in the board file, but
> that will be quite big code duplication for all machines using QEIC.

Maybe you can provide a set of common ones, and then just pick the one
you want from the board file ?

Or have some board code call into a QEIC init routine specifying the
type of cascade handler to use ... or whatevre you like here.

Just don't add end() where it doesn't belong.

Cheers,
Ben.